#!/bin/bash
#PJM -L rscgrp=lecture-flat
#PJM -L node=1
#PJM -L elapse=0:15:00
#PJM -g gt00
#PJM -S
module purge                      # 標準で有効なmoduleをpurgeで全てunload
module load gcc/4.8.5             # Gcc-4.8.5のmoduleをload
module load openfoam/4.1          # OpenFOAM-4.1のmoduleをload
source $WM_PROJECT_DIR/etc/bashrc # OpenFOAMの環境設定
# 領域分割
# -cellDist : 格子の領域番号を場cellDistに出力(可視化用．必須ではない)
decomposePar -cellDist >& log.decomposePar
