#!/bin/bash
#PJM -L rscgrp=lecture-flat
#PJM -L node=1
#PJM -L elapse=0:15:00
#PJM -g gt00
#PJM -S
module purge                      # 標準で有効なmoduleをpurgeで全てunload
module load gcc/4.8.5             # Gcc-4.8.5のmoduleをload
module load openfoam/4.1          # OpenFOAM-4.1のmoduleをload
source $WM_PROJECT_DIR/etc/bashrc # OpenFOAMの環境設定
module load vtune                 # VTuneのmoduleをload
# ソルバ実行のプロファイリング
# amplxe-cl : CUI版のVTuneコマンド
# -c advanced-hotspots : ホットスポットの情報を収集
# -r 保存ディレクトリ(既に存在しているとエラー)
amplxe-cl -c advanced-hotspots \
-r vtune.$PJM_JOBNAME.${PJM_SUBJOBID:-$PJM_JOBID} \
numactl -p1 \
icoFoam >& \
log.icoFoam.$PJM_JOBNAME.${PJM_SUBJOBID:-$PJM_JOBID}
