#!/bin/bash
#PJM -L rscgrp=lecture-flat
#PJM -L node=1
#PJM -L elapse=0:15:00
#PJM -g gt00
#PJM -S
module purge                      # 標準で有効なmoduleをpurgeで全てunload
module load gcc/4.8.5             # Gcc-4.8.5のmoduleをload
module load openfoam/4.1          # OpenFOAM-4.1のmoduleをload
source $WM_PROJECT_DIR/etc/bashrc # OpenFOAMの環境設定
# ソルバ実行
# numactl -p1 : MC-DRAMに優先的にメモリを割当てる
# icoFoam : ソルバ
# $PJM_JOBNAME : バッチジョブ名
# ${PJM_SUBJOBID:-$PJM_JOBID} : サブジョブID(ステップジョブ時)またはジョブID
# ソルバは，同じディレクトリ上で，異なるバッチジョブから実行したり，リスタート時に
# 複数実行する場合があるので，ログ名にバッチジョブ名とジョブIDを付加している
numactl -p1 \
icoFoam >& \
log.icoFoam.$PJM_JOBNAME.${PJM_SUBJOBID:-$PJM_JOBID}
